function MicrosoftAuthentication()
{
    function LogOff(BaseVDName) {
        window.open(location.protocol + "//" + location.hostname + "/" + BaseVDName  + "/MsAuth/logout", '_blank');
        document.location.replace(location.protocol + "//" + location.hostname + "/" + BaseVDName );
    }

    function LogIn(BaseVDName) {
        document.location.replace("/" +  BaseVDName + '/MsAuth/GetIdentity')
    }

    this.LogIn = LogIn;
    this.LogOff = LogOff;
}